<!DOCTYPE html>
<html lang="en">

<head th:replace="fragments/layout.html :: head('DigiTroc - Dvd')">
</head>

<body>
  <nav th:replace="@{/include/navbar}"></nav>

  <main class="bg-dark pb-5">
    <div class="container-fluid p-0"><img th:src="@{/img/banniere.jpg}" class="img-fluid w-100" alt="photo dvd" /></div>
    <div class="text-white m-5">
      <h2>Dvd</h2>
    </div>
    <div class="container">
      <div class="card">
        <div class="row g-0" th:each="dvd : ${dvd}">
          <div class="col-md-4">
            <img th:src="${dvd.image}" class="img-fluid rounded-start" th:alt="${dvd.title}">
          </div>
          <div class="col-md-8">
            <div class="card-body">
              <h1 class="card-title" th:text="${dvd.title}">Card title</h1>
              <p class="card-text"><small class="text-muted">Ajouté le : <span
                    th:text="${#dates.format(new java.util.Date(dvd.addedAt), 'dd/MM/yyyy')}"></span></small>
              </p>
              <p class="card-text"><small class="text-muted">Par : <span th:text="${dvd.user.username}"></span></small>
              </p>
              <p class="card-text"><small class="text-dark">Année: <span th:text="${dvd.year}"></span></small></p>
              <p class="card-text"><small class="text-dark">Description : <span
                    th:text="${dvd.description}"></span></small></p>
              <p class="card-text"><small class="text-muted">Categorie : <span
                    th:text="${dvd.category.name}"></span></small></p>
              <span>
                <a th:href="@{/add-barter/} + ${dvd.id}"><button type="button" class="btn btn-success"><i
                      class="fas fa-exchange-alt"></i>
                    Echange</button></a>
              </span>
              <span>
                <!-- mettre un if si page ouvert par possesseur du dvd, car accés aux boutons edit et delete -->
                <!-- <a href="#"><button type="button" class="btn btn-warning"><i class="far fa-edit"></i></button></a> -->
                <!-- <form th:action="@{/dvd/} + ${dvd.id}" method="post">
                  <input type="hidden" name="_method" value="delete" />
                  <button type="submit" id="submitButton"> </button>
                </form> -->
                <!-- <a href="#"><button type="button" class="btn btn-danger"><i class="far fa-trash-alt"></i></button></a> -->
              </span>
            </div>
          </div>
        </div>
      </div>
    </div>


  </main>

  <div th:replace="@{/include/footer}"></div>
  <div th:replace="fragments/layout.html :: foot"></div>
</body>

</html>